Makefile.in 29 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. check_PROGRAMS = test_qa_sock$(EXEEXT) test_qa$(EXEEXT)
  75. subdir = src/tests
  76. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  77. $(top_srcdir)/depcomp $(top_srcdir)/test-driver
  78. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  79. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  80. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  81. $(ACLOCAL_M4)
  82. mkinstalldirs = $(install_sh) -d
  83. CONFIG_HEADER = $(top_builddir)/src/include/config.h
  84. CONFIG_CLEAN_FILES =
  85. CONFIG_CLEAN_VPATH_FILES =
  86. am_test_qa_OBJECTS = test_qa.$(OBJEXT)
  87. test_qa_OBJECTS = $(am_test_qa_OBJECTS)
  88. test_qa_DEPENDENCIES = ../qa_sock.o ../qa.o \
  89. ../questions/allquestions.o ../questions/libquestions.a
  90. am_test_qa_sock_OBJECTS = test_qa_sock.$(OBJEXT)
  91. test_qa_sock_OBJECTS = $(am_test_qa_sock_OBJECTS)
  92. test_qa_sock_DEPENDENCIES = ../qa_sock.o
  93. AM_V_P = $(am__v_P_@AM_V@)
  94. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  95. am__v_P_0 = false
  96. am__v_P_1 = :
  97. AM_V_GEN = $(am__v_GEN_@AM_V@)
  98. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  99. am__v_GEN_0 = @echo " GEN " $@;
  100. am__v_GEN_1 =
  101. AM_V_at = $(am__v_at_@AM_V@)
  102. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  103. am__v_at_0 = @
  104. am__v_at_1 =
  105. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src/include
  106. depcomp = $(SHELL) $(top_srcdir)/depcomp
  107. am__depfiles_maybe = depfiles
  108. am__mv = mv -f
  109. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  110. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  111. AM_V_CC = $(am__v_CC_@AM_V@)
  112. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  113. am__v_CC_0 = @echo " CC " $@;
  114. am__v_CC_1 =
  115. CCLD = $(CC)
  116. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  117. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  118. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  119. am__v_CCLD_0 = @echo " CCLD " $@;
  120. am__v_CCLD_1 =
  121. SOURCES = $(test_qa_SOURCES) $(test_qa_sock_SOURCES)
  122. DIST_SOURCES = $(test_qa_SOURCES) $(test_qa_sock_SOURCES)
  123. am__can_run_installinfo = \
  124. case $$AM_UPDATE_INFO_DIR in \
  125. n|no|NO) false;; \
  126. *) (install-info --version) >/dev/null 2>&1;; \
  127. esac
  128. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  129. # Read a list of newline-separated strings from the standard input,
  130. # and print each of them once, without duplicates. Input order is
  131. # *not* preserved.
  132. am__uniquify_input = $(AWK) '\
  133. BEGIN { nonempty = 0; } \
  134. { items[$$0] = 1; nonempty = 1; } \
  135. END { if (nonempty) { for (i in items) print i; }; } \
  136. '
  137. # Make sure the list of sources is unique. This is necessary because,
  138. # e.g., the same source file might be shared among _SOURCES variables
  139. # for different programs/libraries.
  140. am__define_uniq_tagged_files = \
  141. list='$(am__tagged_files)'; \
  142. unique=`for i in $$list; do \
  143. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  144. done | $(am__uniquify_input)`
  145. ETAGS = etags
  146. CTAGS = ctags
  147. am__tty_colors_dummy = \
  148. mgn= red= grn= lgn= blu= brg= std=; \
  149. am__color_tests=no
  150. am__tty_colors = { \
  151. $(am__tty_colors_dummy); \
  152. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  153. am__color_tests=no; \
  154. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  155. am__color_tests=yes; \
  156. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  157. am__color_tests=yes; \
  158. fi; \
  159. if test $$am__color_tests = yes; then \
  160. red=''; \
  161. grn=''; \
  162. lgn=''; \
  163. blu=''; \
  164. mgn=''; \
  165. brg=''; \
  166. std=''; \
  167. fi; \
  168. }
  169. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  170. am__vpath_adj = case $$p in \
  171. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  172. *) f=$$p;; \
  173. esac;
  174. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  175. am__install_max = 40
  176. am__nobase_strip_setup = \
  177. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  178. am__nobase_strip = \
  179. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  180. am__nobase_list = $(am__nobase_strip_setup); \
  181. for p in $$list; do echo "$$p $$p"; done | \
  182. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  183. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  184. if (++n[$$2] == $(am__install_max)) \
  185. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  186. END { for (dir in files) print dir, files[dir] }'
  187. am__base_list = \
  188. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  189. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  190. am__uninstall_files_from_dir = { \
  191. test -z "$$files" \
  192. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  193. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  194. $(am__cd) "$$dir" && rm -f $$files; }; \
  195. }
  196. am__recheck_rx = ^[ ]*:recheck:[ ]*
  197. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  198. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  199. # A command that, given a newline-separated list of test names on the
  200. # standard input, print the name of the tests that are to be re-run
  201. # upon "make recheck".
  202. am__list_recheck_tests = $(AWK) '{ \
  203. recheck = 1; \
  204. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  205. { \
  206. if (rc < 0) \
  207. { \
  208. if ((getline line2 < ($$0 ".log")) < 0) \
  209. recheck = 0; \
  210. break; \
  211. } \
  212. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  213. { \
  214. recheck = 0; \
  215. break; \
  216. } \
  217. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  218. { \
  219. break; \
  220. } \
  221. }; \
  222. if (recheck) \
  223. print $$0; \
  224. close ($$0 ".trs"); \
  225. close ($$0 ".log"); \
  226. }'
  227. # A command that, given a newline-separated list of test names on the
  228. # standard input, create the global log from their .trs and .log files.
  229. am__create_global_log = $(AWK) ' \
  230. function fatal(msg) \
  231. { \
  232. print "fatal: making $@: " msg | "cat >&2"; \
  233. exit 1; \
  234. } \
  235. function rst_section(header) \
  236. { \
  237. print header; \
  238. len = length(header); \
  239. for (i = 1; i <= len; i = i + 1) \
  240. printf "="; \
  241. printf "\n\n"; \
  242. } \
  243. { \
  244. copy_in_global_log = 1; \
  245. global_test_result = "RUN"; \
  246. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  247. { \
  248. if (rc < 0) \
  249. fatal("failed to read from " $$0 ".trs"); \
  250. if (line ~ /$(am__global_test_result_rx)/) \
  251. { \
  252. sub("$(am__global_test_result_rx)", "", line); \
  253. sub("[ ]*$$", "", line); \
  254. global_test_result = line; \
  255. } \
  256. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  257. copy_in_global_log = 0; \
  258. }; \
  259. if (copy_in_global_log) \
  260. { \
  261. rst_section(global_test_result ": " $$0); \
  262. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  263. { \
  264. if (rc < 0) \
  265. fatal("failed to read from " $$0 ".log"); \
  266. print line; \
  267. }; \
  268. printf "\n"; \
  269. }; \
  270. close ($$0 ".trs"); \
  271. close ($$0 ".log"); \
  272. }'
  273. # Restructured Text title.
  274. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  275. # Solaris 10 'make', and several other traditional 'make' implementations,
  276. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  277. # by disabling -e (using the XSI extension "set +e") if it's set.
  278. am__sh_e_setup = case $$- in *e*) set +e;; esac
  279. # Default flags passed to test drivers.
  280. am__common_driver_flags = \
  281. --color-tests "$$am__color_tests" \
  282. --enable-hard-errors "$$am__enable_hard_errors" \
  283. --expect-failure "$$am__expect_failure"
  284. # To be inserted before the command running the test. Creates the
  285. # directory for the log if needed. Stores in $dir the directory
  286. # containing $f, in $tst the test, in $log the log. Executes the
  287. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  288. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  289. # will run the test scripts (or their associated LOG_COMPILER, if
  290. # thy have one).
  291. am__check_pre = \
  292. $(am__sh_e_setup); \
  293. $(am__vpath_adj_setup) $(am__vpath_adj) \
  294. $(am__tty_colors); \
  295. srcdir=$(srcdir); export srcdir; \
  296. case "$@" in \
  297. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  298. *) am__odir=.;; \
  299. esac; \
  300. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  301. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  302. if test -f "./$$f"; then dir=./; \
  303. elif test -f "$$f"; then dir=; \
  304. else dir="$(srcdir)/"; fi; \
  305. tst=$$dir$$f; log='$@'; \
  306. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  307. am__enable_hard_errors=no; \
  308. else \
  309. am__enable_hard_errors=yes; \
  310. fi; \
  311. case " $(XFAIL_TESTS) " in \
  312. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  313. am__expect_failure=yes;; \
  314. *) \
  315. am__expect_failure=no;; \
  316. esac; \
  317. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  318. # A shell command to get the names of the tests scripts with any registered
  319. # extension removed (i.e., equivalently, the names of the test logs, with
  320. # the '.log' extension removed). The result is saved in the shell variable
  321. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  322. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  323. # since that might cause problem with VPATH rewrites for suffix-less tests.
  324. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  325. am__set_TESTS_bases = \
  326. bases='$(TEST_LOGS)'; \
  327. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  328. bases=`echo $$bases`
  329. RECHECK_LOGS = $(TEST_LOGS)
  330. AM_RECURSIVE_TARGETS = check recheck
  331. TEST_SUITE_LOG = test-suite.log
  332. TEST_EXTENSIONS = @EXEEXT@ .test
  333. LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  334. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  335. am__set_b = \
  336. case '$@' in \
  337. */*) \
  338. case '$*' in \
  339. */*) b='$*';; \
  340. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  341. esac;; \
  342. *) \
  343. b='$*';; \
  344. esac
  345. am__test_logs1 = $(TESTS:=.log)
  346. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  347. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  348. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  349. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  350. $(TEST_LOG_FLAGS)
  351. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  352. ACLOCAL = @ACLOCAL@
  353. AMTAR = @AMTAR@
  354. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  355. AUTOCONF = @AUTOCONF@
  356. AUTOHEADER = @AUTOHEADER@
  357. AUTOMAKE = @AUTOMAKE@
  358. AWK = @AWK@
  359. CC = @CC@
  360. CCDEPMODE = @CCDEPMODE@
  361. CFLAGS = @CFLAGS@
  362. CPP = @CPP@
  363. CPPFLAGS = @CPPFLAGS@
  364. CYGPATH_W = @CYGPATH_W@
  365. DEFS = @DEFS@
  366. DEPDIR = @DEPDIR@
  367. ECHO_C = @ECHO_C@
  368. ECHO_N = @ECHO_N@
  369. ECHO_T = @ECHO_T@
  370. EGREP = @EGREP@
  371. EXEEXT = @EXEEXT@
  372. GREP = @GREP@
  373. INSTALL = @INSTALL@
  374. INSTALL_DATA = @INSTALL_DATA@
  375. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  376. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  377. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  378. LDFLAGS = @LDFLAGS@
  379. LIBOBJS = @LIBOBJS@
  380. LIBS = @LIBS@
  381. LTLIBOBJS = @LTLIBOBJS@
  382. MAKEINFO = @MAKEINFO@
  383. MKDIR_P = @MKDIR_P@
  384. OBJEXT = @OBJEXT@
  385. PACKAGE = @PACKAGE@
  386. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  387. PACKAGE_NAME = @PACKAGE_NAME@
  388. PACKAGE_STRING = @PACKAGE_STRING@
  389. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  390. PACKAGE_URL = @PACKAGE_URL@
  391. PACKAGE_VERSION = @PACKAGE_VERSION@
  392. PATH_SEPARATOR = @PATH_SEPARATOR@
  393. RANLIB = @RANLIB@
  394. SET_MAKE = @SET_MAKE@
  395. SHELL = @SHELL@
  396. STRIP = @STRIP@
  397. VERSION = @VERSION@
  398. abs_builddir = @abs_builddir@
  399. abs_srcdir = @abs_srcdir@
  400. abs_top_builddir = @abs_top_builddir@
  401. abs_top_srcdir = @abs_top_srcdir@
  402. ac_ct_CC = @ac_ct_CC@
  403. am__include = @am__include@
  404. am__leading_dot = @am__leading_dot@
  405. am__quote = @am__quote@
  406. am__tar = @am__tar@
  407. am__untar = @am__untar@
  408. bindir = @bindir@
  409. build_alias = @build_alias@
  410. builddir = @builddir@
  411. datadir = @datadir@
  412. datarootdir = @datarootdir@
  413. docdir = @docdir@
  414. dvidir = @dvidir@
  415. exec_prefix = @exec_prefix@
  416. host_alias = @host_alias@
  417. htmldir = @htmldir@
  418. includedir = @includedir@
  419. infodir = @infodir@
  420. install_sh = @install_sh@
  421. libdir = @libdir@
  422. libexecdir = @libexecdir@
  423. localedir = @localedir@
  424. localstatedir = @localstatedir@
  425. mandir = @mandir@
  426. mkdir_p = @mkdir_p@
  427. oldincludedir = @oldincludedir@
  428. pdfdir = @pdfdir@
  429. prefix = @prefix@
  430. program_transform_name = @program_transform_name@
  431. psdir = @psdir@
  432. sbindir = @sbindir@
  433. sharedstatedir = @sharedstatedir@
  434. srcdir = @srcdir@
  435. sysconfdir = @sysconfdir@
  436. target_alias = @target_alias@
  437. top_build_prefix = @top_build_prefix@
  438. top_builddir = @top_builddir@
  439. top_srcdir = @top_srcdir@
  440. # unittesting my ass
  441. AM_CFLAGS = -I ../include/
  442. AM_LDFLAGS = -lcrypto -lssl
  443. TESTS = $(check_PROGRAMS) test_cmdline.test
  444. test_qa_sock_SOURCES = test_qa_sock.c
  445. test_qa_sock_LDADD = ../qa_sock.o
  446. test_qa_SOURCES = test_qa.c
  447. test_qa_LDADD = ../qa_sock.o ../qa.o ../questions/allquestions.o ../questions/libquestions.a
  448. all: all-am
  449. .SUFFIXES:
  450. .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
  451. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  452. @for dep in $?; do \
  453. case '$(am__configure_deps)' in \
  454. *$$dep*) \
  455. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  456. && { if test -f $@; then exit 0; else break; fi; }; \
  457. exit 1;; \
  458. esac; \
  459. done; \
  460. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/tests/Makefile'; \
  461. $(am__cd) $(top_srcdir) && \
  462. $(AUTOMAKE) --gnu src/tests/Makefile
  463. .PRECIOUS: Makefile
  464. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  465. @case '$?' in \
  466. *config.status*) \
  467. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  468. *) \
  469. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  470. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  471. esac;
  472. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  473. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  474. $(top_srcdir)/configure: $(am__configure_deps)
  475. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  476. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  477. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  478. $(am__aclocal_m4_deps):
  479. clean-checkPROGRAMS:
  480. -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
  481. test_qa$(EXEEXT): $(test_qa_OBJECTS) $(test_qa_DEPENDENCIES) $(EXTRA_test_qa_DEPENDENCIES)
  482. @rm -f test_qa$(EXEEXT)
  483. $(AM_V_CCLD)$(LINK) $(test_qa_OBJECTS) $(test_qa_LDADD) $(LIBS)
  484. test_qa_sock$(EXEEXT): $(test_qa_sock_OBJECTS) $(test_qa_sock_DEPENDENCIES) $(EXTRA_test_qa_sock_DEPENDENCIES)
  485. @rm -f test_qa_sock$(EXEEXT)
  486. $(AM_V_CCLD)$(LINK) $(test_qa_sock_OBJECTS) $(test_qa_sock_LDADD) $(LIBS)
  487. mostlyclean-compile:
  488. -rm -f *.$(OBJEXT)
  489. distclean-compile:
  490. -rm -f *.tab.c
  491. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_qa.Po@am__quote@
  492. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_qa_sock.Po@am__quote@
  493. .c.o:
  494. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  495. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  496. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  497. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  498. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  499. .c.obj:
  500. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  501. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  502. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  503. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  504. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  505. ID: $(am__tagged_files)
  506. $(am__define_uniq_tagged_files); mkid -fID $$unique
  507. tags: tags-am
  508. TAGS: tags
  509. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  510. set x; \
  511. here=`pwd`; \
  512. $(am__define_uniq_tagged_files); \
  513. shift; \
  514. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  515. test -n "$$unique" || unique=$$empty_fix; \
  516. if test $$# -gt 0; then \
  517. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  518. "$$@" $$unique; \
  519. else \
  520. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  521. $$unique; \
  522. fi; \
  523. fi
  524. ctags: ctags-am
  525. CTAGS: ctags
  526. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  527. $(am__define_uniq_tagged_files); \
  528. test -z "$(CTAGS_ARGS)$$unique" \
  529. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  530. $$unique
  531. GTAGS:
  532. here=`$(am__cd) $(top_builddir) && pwd` \
  533. && $(am__cd) $(top_srcdir) \
  534. && gtags -i $(GTAGS_ARGS) "$$here"
  535. cscopelist: cscopelist-am
  536. cscopelist-am: $(am__tagged_files)
  537. list='$(am__tagged_files)'; \
  538. case "$(srcdir)" in \
  539. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  540. *) sdir=$(subdir)/$(srcdir) ;; \
  541. esac; \
  542. for i in $$list; do \
  543. if test -f "$$i"; then \
  544. echo "$(subdir)/$$i"; \
  545. else \
  546. echo "$$sdir/$$i"; \
  547. fi; \
  548. done >> $(top_builddir)/cscope.files
  549. distclean-tags:
  550. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  551. # Recover from deleted '.trs' file; this should ensure that
  552. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  553. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  554. # to avoid problems with "make -n".
  555. .log.trs:
  556. rm -f $< $@
  557. $(MAKE) $(AM_MAKEFLAGS) $<
  558. # Leading 'am--fnord' is there to ensure the list of targets does not
  559. # expand to empty, as could happen e.g. with make check TESTS=''.
  560. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  561. am--force-recheck:
  562. @:
  563. $(TEST_SUITE_LOG): $(TEST_LOGS)
  564. @$(am__set_TESTS_bases); \
  565. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  566. redo_bases=`for i in $$bases; do \
  567. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  568. done`; \
  569. if test -n "$$redo_bases"; then \
  570. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  571. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  572. if $(am__make_dryrun); then :; else \
  573. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  574. fi; \
  575. fi; \
  576. if test -n "$$am__remaking_logs"; then \
  577. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  578. "recursion detected" >&2; \
  579. else \
  580. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  581. fi; \
  582. if $(am__make_dryrun); then :; else \
  583. st=0; \
  584. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  585. for i in $$redo_bases; do \
  586. test -f $$i.trs && test -r $$i.trs \
  587. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  588. test -f $$i.log && test -r $$i.log \
  589. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  590. done; \
  591. test $$st -eq 0 || exit 1; \
  592. fi
  593. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  594. ws='[ ]'; \
  595. results=`for b in $$bases; do echo $$b.trs; done`; \
  596. test -n "$$results" || results=/dev/null; \
  597. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  598. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  599. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  600. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  601. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  602. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  603. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  604. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  605. success=true; \
  606. else \
  607. success=false; \
  608. fi; \
  609. br='==================='; br=$$br$$br$$br$$br; \
  610. result_count () \
  611. { \
  612. if test x"$$1" = x"--maybe-color"; then \
  613. maybe_colorize=yes; \
  614. elif test x"$$1" = x"--no-color"; then \
  615. maybe_colorize=no; \
  616. else \
  617. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  618. fi; \
  619. shift; \
  620. desc=$$1 count=$$2; \
  621. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  622. color_start=$$3 color_end=$$std; \
  623. else \
  624. color_start= color_end=; \
  625. fi; \
  626. echo "$${color_start}# $$desc $$count$${color_end}"; \
  627. }; \
  628. create_testsuite_report () \
  629. { \
  630. result_count $$1 "TOTAL:" $$all "$$brg"; \
  631. result_count $$1 "PASS: " $$pass "$$grn"; \
  632. result_count $$1 "SKIP: " $$skip "$$blu"; \
  633. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  634. result_count $$1 "FAIL: " $$fail "$$red"; \
  635. result_count $$1 "XPASS:" $$xpass "$$red"; \
  636. result_count $$1 "ERROR:" $$error "$$mgn"; \
  637. }; \
  638. { \
  639. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  640. $(am__rst_title); \
  641. create_testsuite_report --no-color; \
  642. echo; \
  643. echo ".. contents:: :depth: 2"; \
  644. echo; \
  645. for b in $$bases; do echo $$b; done \
  646. | $(am__create_global_log); \
  647. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  648. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  649. if $$success; then \
  650. col="$$grn"; \
  651. else \
  652. col="$$red"; \
  653. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  654. fi; \
  655. echo "$${col}$$br$${std}"; \
  656. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  657. echo "$${col}$$br$${std}"; \
  658. create_testsuite_report --maybe-color; \
  659. echo "$$col$$br$$std"; \
  660. if $$success; then :; else \
  661. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  662. if test -n "$(PACKAGE_BUGREPORT)"; then \
  663. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  664. fi; \
  665. echo "$$col$$br$$std"; \
  666. fi; \
  667. $$success || exit 1
  668. check-TESTS:
  669. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  670. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  671. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  672. @set +e; $(am__set_TESTS_bases); \
  673. log_list=`for i in $$bases; do echo $$i.log; done`; \
  674. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  675. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  676. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  677. exit $$?;
  678. recheck: all $(check_PROGRAMS)
  679. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  680. @set +e; $(am__set_TESTS_bases); \
  681. bases=`for i in $$bases; do echo $$i; done \
  682. | $(am__list_recheck_tests)` || exit 1; \
  683. log_list=`for i in $$bases; do echo $$i.log; done`; \
  684. log_list=`echo $$log_list`; \
  685. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  686. am__force_recheck=am--force-recheck \
  687. TEST_LOGS="$$log_list"; \
  688. exit $$?
  689. test_qa_sock.log: test_qa_sock$(EXEEXT)
  690. @p='test_qa_sock$(EXEEXT)'; \
  691. b='test_qa_sock'; \
  692. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  693. --log-file $$b.log --trs-file $$b.trs \
  694. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  695. "$$tst" $(AM_TESTS_FD_REDIRECT)
  696. test_qa.log: test_qa$(EXEEXT)
  697. @p='test_qa$(EXEEXT)'; \
  698. b='test_qa'; \
  699. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  700. --log-file $$b.log --trs-file $$b.trs \
  701. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  702. "$$tst" $(AM_TESTS_FD_REDIRECT)
  703. .test.log:
  704. @p='$<'; \
  705. $(am__set_b); \
  706. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  707. --log-file $$b.log --trs-file $$b.trs \
  708. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  709. "$$tst" $(AM_TESTS_FD_REDIRECT)
  710. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  711. @am__EXEEXT_TRUE@ @p='$<'; \
  712. @am__EXEEXT_TRUE@ $(am__set_b); \
  713. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  714. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  715. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  716. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  717. distdir: $(DISTFILES)
  718. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  719. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  720. list='$(DISTFILES)'; \
  721. dist_files=`for file in $$list; do echo $$file; done | \
  722. sed -e "s|^$$srcdirstrip/||;t" \
  723. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  724. case $$dist_files in \
  725. */*) $(MKDIR_P) `echo "$$dist_files" | \
  726. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  727. sort -u` ;; \
  728. esac; \
  729. for file in $$dist_files; do \
  730. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  731. if test -d $$d/$$file; then \
  732. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  733. if test -d "$(distdir)/$$file"; then \
  734. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  735. fi; \
  736. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  737. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  738. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  739. fi; \
  740. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  741. else \
  742. test -f "$(distdir)/$$file" \
  743. || cp -p $$d/$$file "$(distdir)/$$file" \
  744. || exit 1; \
  745. fi; \
  746. done
  747. check-am: all-am
  748. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  749. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  750. check: check-am
  751. all-am: Makefile
  752. installdirs:
  753. install: install-am
  754. install-exec: install-exec-am
  755. install-data: install-data-am
  756. uninstall: uninstall-am
  757. install-am: all-am
  758. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  759. installcheck: installcheck-am
  760. install-strip:
  761. if test -z '$(STRIP)'; then \
  762. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  763. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  764. install; \
  765. else \
  766. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  767. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  768. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  769. fi
  770. mostlyclean-generic:
  771. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  772. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  773. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  774. clean-generic:
  775. distclean-generic:
  776. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  777. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  778. maintainer-clean-generic:
  779. @echo "This command is intended for maintainers to use"
  780. @echo "it deletes files that may require special tools to rebuild."
  781. clean: clean-am
  782. clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
  783. distclean: distclean-am
  784. -rm -rf ./$(DEPDIR)
  785. -rm -f Makefile
  786. distclean-am: clean-am distclean-compile distclean-generic \
  787. distclean-tags
  788. dvi: dvi-am
  789. dvi-am:
  790. html: html-am
  791. html-am:
  792. info: info-am
  793. info-am:
  794. install-data-am:
  795. install-dvi: install-dvi-am
  796. install-dvi-am:
  797. install-exec-am:
  798. install-html: install-html-am
  799. install-html-am:
  800. install-info: install-info-am
  801. install-info-am:
  802. install-man:
  803. install-pdf: install-pdf-am
  804. install-pdf-am:
  805. install-ps: install-ps-am
  806. install-ps-am:
  807. installcheck-am:
  808. maintainer-clean: maintainer-clean-am
  809. -rm -rf ./$(DEPDIR)
  810. -rm -f Makefile
  811. maintainer-clean-am: distclean-am maintainer-clean-generic
  812. mostlyclean: mostlyclean-am
  813. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  814. pdf: pdf-am
  815. pdf-am:
  816. ps: ps-am
  817. ps-am:
  818. uninstall-am:
  819. .MAKE: check-am install-am install-strip
  820. .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
  821. clean-checkPROGRAMS clean-generic cscopelist-am ctags ctags-am \
  822. distclean distclean-compile distclean-generic distclean-tags \
  823. distdir dvi dvi-am html html-am info info-am install \
  824. install-am install-data install-data-am install-dvi \
  825. install-dvi-am install-exec install-exec-am install-html \
  826. install-html-am install-info install-info-am install-man \
  827. install-pdf install-pdf-am install-ps install-ps-am \
  828. install-strip installcheck installcheck-am installdirs \
  829. maintainer-clean maintainer-clean-generic mostlyclean \
  830. mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  831. recheck tags tags-am uninstall uninstall-am
  832. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  833. # Otherwise a system limit (for SysV at least) may be exceeded.
  834. .NOEXPORT: